POST /replicate/v1/models/black-forest-labs/flux-1.1-pro-ultra/predictions
Method: POSTEndpoint: /replicate/v1/models/black-forest-labs/flux-1.1-pro-ultra/predictions
https://replicate.com/black-forest-labs/flux-1.1-pro-ultra?input=http
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
input
object
Required
prompt
string
Required
go_fast
boolean
Optional
megapixels
string
Optional
num_outputs
integer
Optional
aspect_ratio
string
Defaults to 1:1.
Optional
output_format
string
Optional
output_quality
integer
Optional
num_inference_steps
integer
Optional
Example
{
"input"
:
{
"raw"
:
false
,
"prompt"
:
"a majestic snow-capped mountain peak bathed in a warm glow of the setting sun"
,
"aspect_ratio"
:
"3:2"
,
"output_format"
:
"jpg"
,
"safety_tolerance"
:
2
,
"image_prompt_strength"
:
0.1
}
}Example Request
Shell
bash
curl --location --request POST '/replicate/v1/models/black-forest-labs/flux-1.1-pro-ultra/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"input": {
"raw": false,
"prompt": "a majestic snow-capped mountain peak bathed in a warm glow of the setting sun",
"aspect_ratio": "3:2",
"output_format": "jpg",
"safety_tolerance": 2,
"image_prompt_strength": 0.1
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}